org.apache.ignite.internal.pagemem.wal.record

## Class MetastoreDataRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.MetastoreDataRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class MetastoreDataRecord
    extends WALRecord
    implements WalRecordCacheGroupAware

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`MetastoreDataRecord(String key, @Nullable byte[] value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`String` `key()`
`String` `toString()`
`WALRecord.RecordType` `type()`
`@Nullable byte[]` `value()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetastoreDataRecord

    public MetastoreDataRecord(String key,
                               @Nullable
                               @Nullable byte[] value)

Parameters:
  `key` - Key.
  `value` - Value.

### Method Detail

#### key

    public String key()

#### value

    @Nullable
    public @Nullable byte[] value()

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

#### groupId

    public int groupId()

Specified by:
  `groupId` in interface `WalRecordCacheGroupAware`
Returns:
  Cache group ID.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023